# FtpPut

Send a file to the remote system.

## SYNOPSIS

    #include <ftplib.h>
    int FtpPut(const char *input, const char *path, char mode, netbuf *nControl);

## PARAMETERS

input
  Specifies the name of a local file to be transfered to the server. If specified as NULL file data will be read from stdin.
path
  Specifies the name to be given to the file on the remote system.
mode
  Specifies the transfer mode as FTPLIB_ASCII or FTPLIB_IMAGE.
nControl
  A handle returned by FtpConnect().

## DESCRIPTION

FtpPut() transfers a local file to the remote system.

## RETURN VALUE

Returns 1 if successful or 0 on error.